PImage tex;
PShape sphere;
PShape box;
float angle;

void setup() {
  size(500, 500, P3D);
  noStroke();
  tex = loadImage("nelson.jpg");
  sphere = createShape(SPHERE, 50);
  box = createShape(BOX, 100);
  box.setTexture(tex);
  sphere.setTexture(tex);
  angle = 0;
  textureMode(NORMAL);
  textureWrap(REPEAT);
  frameRate(60);
}

void draw() {
  background(0);
  angle += 0.05;
  
  translate(100, 200, 0);
  
  beginShape(QUADS);
  texture(tex);
  vertex(0, 0, 0, 0, 0);
  vertex(200, 0, 0, 1, 0);
  vertex(200, 200, 0, 1, 1);
  vertex(0, 200, 0, 0, 1);
  endShape();
  
  pushMatrix();
  rotateY(angle/2);
  shape(sphere);
  popMatrix();
  
  pushMatrix();
  translate(200, 0, 0);
  rotateY(angle / 2);
  shape(box);
  popMatrix();
}
